# FastAPI MongoDB CRUD and Authentication Skeleton

This repository serves as a skeleton for a FastAPI project that includes CRUD (Create, Read, Update, Delete) operations using MongoDB and a fully functional user authentication system.

## Features

- FastAPI integration for building API endpoints
- MongoDB integration for CRUD operations
- User authentication with login and logout functionality
- Basic folder structure to get you started quickly

## Prerequisites

Make sure you have the following installed on your system:

- Python 3.12(may work on 3.7 or higher)
- MongoDB

## Getting Started

1. Clone the repository:

   ```bash
   git clone https://github.com/AnuragDahal/fastapi-mongodb-crud-auth-skeleton.git

2. Create a `.env` file and copy the contents of `.env.sample`. Edit the file accordingly.
